Skip to main content

Mining Difficulty

mining-difficulty

Chart: Mining Difficulty

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1difficultystringDifficulty
2closing_pricestringClosing price
3difficulty_delta_vs_previous_epochstringDifficulty delta vs previous epoch
4colorstringColor ('#0f0' positive / '#f00' negative / '#fff' zero)

Example Request

https://charts.bitbo.io/api/v1/mining-difficulty/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/mining-difficulty/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/mining-difficulty/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"12.34",
"#ff0000"
],
[
"2025-05-08",
"23.45",
"23.45",
"23.45",
"#ff0000"
],
[
"2025-05-09",
"34.56",
"34.56",
"34.56",
"#ff0000"
]
]
}